interactions:
- request:
    body: null
    headers:
      API-KEY:
      - '****'
      Accept:
      - application/json
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.25.1
    method: GET
    uri: http://odoo-sc.local:8069/api/product-catalog?code=21IVA
  response:
    body:
      string: '{"pricelists": [{"code": "21IVA", "products": [{"code": "SE_SC_REC_BA_ADSL_100",
        "name": "ADSL 100 min a fix o m\u00f2bil", "price": 36.0, "category": "adsl",
        "minutes": null, "data": null, "bandwidth": 20, "available_for": ["member"]},
        {"code": "SE_SC_REC_BA_ADSL_1000", "name": "ADSL 1000 min a fix", "price":
        36.0, "category": "adsl", "minutes": null, "data": null, "bandwidth": 20,
        "available_for": ["member"]}, {"code": "SE_SC_REC_BA_ADSL_SF", "name": "ADSL
        sense fix", "price": 31.5, "category": "adsl", "minutes": null, "data": null,
        "bandwidth": 20, "available_for": ["member"]}, {"code": "SE_SC_REC_BA_F_100",
        "name": "Fibra 100Mb", "price": 36.0, "category": "fiber", "minutes": null,
        "data": null, "bandwidth": 100, "available_for": ["member"]}, {"code": "SE_SC_REC_BA_F_1024",
        "name": "Fibra 1Gb", "price": 58.0, "category": "fiber", "minutes": null,
        "data": null, "bandwidth": 1024, "available_for": ["member"]}, {"code": "SE_SC_REC_BA_F_600",
        "name": "Fibra 600Mb", "price": 43.0, "category": "fiber", "minutes": null,
        "data": null, "bandwidth": 600, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_0",
        "name": "0 min 0 MB", "price": 2.0, "category": "mobile", "minutes": 0, "data":
        0, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_1024",
        "name": "0 min 1 GB", "price": 4.5, "category": "mobile", "minutes": 0, "data":
        1024, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_10240",
        "name": "0 min 10 GB", "price": 11.0, "category": "mobile", "minutes": 0,
        "data": 10240, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_200",
        "name": "0 min 200 MB", "price": 1.0, "category": "mobile", "minutes": 0,
        "data": 200, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_2048",
        "name": "0 min 2 GB", "price": 7.0, "category": "mobile", "minutes": 0, "data":
        2048, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_3072",
        "name": "0 min 3 GB", "price": 1.0, "category": "mobile", "minutes": 0, "data":
        3072, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_500",
        "name": "0 min 500 MB", "price": 3.5, "category": "mobile", "minutes": 0,
        "data": 500, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_0_5120",
        "name": "0 min 5 GB", "price": 1.0, "category": "mobile", "minutes": 0, "data":
        5120, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_100_0",
        "name": "100 min 0 MB", "price": 1.0, "category": "mobile", "minutes": 100,
        "data": 0, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_100_200",
        "name": "100 min 200 MB", "price": 1.0, "category": "mobile", "minutes": 100,
        "data": 200, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_150_0",
        "name": "150 min 0 MB", "price": 4.5, "category": "mobile", "minutes": 150,
        "data": 0, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_150_1024",
        "name": "150 min 1 GB", "price": 8.0, "category": "mobile", "minutes": 150,
        "data": 1024, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_150_10240",
        "name": "150 min 10 GB", "price": 12.0, "category": "mobile", "minutes": 150,
        "data": 10240, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_150_2048",
        "name": "150 min 2 GB", "price": 10.0, "category": "mobile", "minutes": 150,
        "data": 2048, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_150_500",
        "name": "150 min 500 MB", "price": 7.5, "category": "mobile", "minutes": 150,
        "data": 500, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_200_0",
        "name": "200 min 0 MB", "price": 1.0, "category": "mobile", "minutes": 200,
        "data": 0, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_200_1024",
        "name": "200 min 1 GB", "price": 1.0, "category": "mobile", "minutes": 200,
        "data": 1024, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_200_200",
        "name": "200 min 200 MB", "price": 1.0, "category": "mobile", "minutes": 200,
        "data": 200, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_200_2048",
        "name": "200 min 2 GB", "price": 1.0, "category": "mobile", "minutes": 200,
        "data": 2048, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_200_500",
        "name": "200 min 500 MB", "price": 1.0, "category": "mobile", "minutes": 200,
        "data": 500, "bandwidth": null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_0",
        "name": "Il\u00b7limitades 0 MB", "price": 9.0, "category": "mobile", "minutes":
        99999, "data": 0, "bandwidth": null, "available_for": ["member"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_1024", "name": "Il\u00b7limitades 1 GB", "price":
        11.0, "category": "mobile", "minutes": 99999, "data": 1024, "bandwidth": null,
        "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_10240", "name":
        "Il\u00b7limitades 10 GB", "price": 14.0, "category": "mobile", "minutes":
        99999, "data": 10240, "bandwidth": null, "available_for": ["member"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_2048", "name": "Il\u00b7limitades 2 GB", "price":
        12.0, "category": "mobile", "minutes": 99999, "data": 2048, "bandwidth": null,
        "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_23552", "name":
        "Il\u00b7limitades 23 GB", "price": 18.0, "category": "mobile", "minutes":
        99999, "data": 23552, "bandwidth": null, "available_for": ["member"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_30720", "name": "Il\u00b7limitades 30 GB", "price":
        22.0, "category": "mobile", "minutes": 99999, "data": 30720, "bandwidth":
        null, "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_500",
        "name": "Il\u00b7limitades 500 MB", "price": 10.0, "category": "mobile", "minutes":
        99999, "data": 500, "bandwidth": null, "available_for": ["member"]}, {"code":
        "SE_SC_REC_MOBILE_T_UNL_5120", "name": "Il\u00b7limitades 5 GB", "price":
        1.0, "category": "mobile", "minutes": 99999, "data": 5120, "bandwidth": null,
        "available_for": ["member"]}, {"code": "SE_SC_REC_MOBILE_T_UNL_51200", "name":
        "Il\u00b7limitades 50 GB", "price": 27.0, "category": "mobile", "minutes":
        99999, "data": 51200, "bandwidth": null, "available_for": ["member"]}]}]}'
    headers:
      Access-Control-Allow-Methods:
      - GET
      Access-Control-Allow-Origin:
      - None
      Content-Length:
      - '6346'
      Content-Type:
      - application/json
      Cookie: '****'
      Date:
      - Tue, 27 Jul 2021 19:03:41 GMT
      Server:
      - Werkzeug/0.11.15 Python/3.7.7
      Set-Cookie: '****'
    status:
      code: 200
      message: OK
version: 1
